[arch-commits] Commit in hugin/trunk (4 files)

Jan de Groot jgc at archlinux.org
Fri May 8 22:07:36 UTC 2009


    Date: Friday, May 8, 2009 @ 18:07:36
  Author: jgc
Revision: 38541

upgpkg: hugin 0.7.0-4
    Fix desktop-file-utils mess, add patch to compile with gcc 4.4

Added:
  hugin/trunk/gcc-4.4.patch
Modified:
  hugin/trunk/PKGBUILD
  hugin/trunk/hugin.desktop
Deleted:
  hugin/trunk/hugin.install

---------------+
 PKGBUILD      |   18 ++++++++++--------
 gcc-4.4.patch |   31 +++++++++++++++++++++++++++++++
 hugin.desktop |    3 +--
 hugin.install |   29 -----------------------------
 4 files changed, 42 insertions(+), 39 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-08 22:07:30 UTC (rev 38540)
+++ PKGBUILD	2009-05-08 22:07:36 UTC (rev 38541)
@@ -4,24 +4,26 @@
 
 pkgname=hugin
 pkgver=0.7.0
-pkgrel=3
+pkgrel=4
 pkgdesc="A frontend to the panorama-tools"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('wxgtk>=2.8.0.1' 'libpano13' 'boost' 'enblend-enfuse' 'exiv2' 'openexr'
+depends=('wxgtk>=2.8.9.2' 'libpano13' 'boost' 'enblend-enfuse' 'exiv2' 'openexr'
          'autopano-sift-c')
 makedepends=('zip' 'cmake')
 url="http://hugin.sourceforge.net/"
 options=(force)
-install=${pkgname}.install
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz
+	gcc-4.4.patch)
+md5sums=('6efbfc72ceba028ca3dff3c23806a7f3'
+         '7446bcf8d0d50f31ee64702ddd9c4256')
 
 build() {
-  #cd ${startdir}/src/${pkgname}-${pkgver}
-  cd ${startdir}/src/${pkgname}-0.7.0
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i "${srcdir}/gcc-4.4.patch" || return 1
   mkdir mybuild
   cd mybuild
-  cmake -DCMAKE_INSTALL_PREFIX=/usr ../ -DCMAKE_EXE_LINKER_FLAGS="-lpthread"
+  cmake -DCMAKE_INSTALL_PREFIX=/usr ../ -DCMAKE_EXE_LINKER_FLAGS="-lpthread" || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }

Added: gcc-4.4.patch
===================================================================
--- gcc-4.4.patch	                        (rev 0)
+++ gcc-4.4.patch	2009-05-08 22:07:36 UTC (rev 38541)
@@ -0,0 +1,31 @@
+--- hugin-0.7.0/src/hugin_base/appbase/ProgressDisplayOld.cpp~	2008-09-14 21:00:41.000000000 +0000
++++ hugin-0.7.0/src/hugin_base/appbase/ProgressDisplayOld.cpp	2009-05-08 21:53:02.000000000 +0000
+@@ -22,6 +22,7 @@
+  */
+ 
+ #include "ProgressDisplayOld.h"
++#include <cstdio>
+ 
+ #ifdef WIN32
+ #define snprintf _snprintf
+--- hugin-0.7.0/src/hugin_base/hugin_utils/utils.cpp~	2008-09-14 21:00:41.000000000 +0000
++++ hugin-0.7.0/src/hugin_base/hugin_utils/utils.cpp	2009-05-08 21:56:25.000000000 +0000
+@@ -30,7 +30,7 @@
+     #include <sys/time.h>
+ #endif
+ #include <time.h>
+-#include <stdio.h>
++#include <cstdio>
+ 
+ 
+ namespace hugin_utils {
+--- hugin-0.7.0/src/hugin_base/panodata/PTScriptParsing.cpp~	2008-09-14 21:00:41.000000000 +0000
++++ hugin-0.7.0/src/hugin_base/panodata/PTScriptParsing.cpp	2009-05-08 21:59:52.000000000 +0000
+@@ -25,6 +25,7 @@
+ #include "PTScriptParsing.h"
+ 
+ #include <hugin_utils/utils.h>
++#include <cstdio>
+ 
+ 
+ namespace HuginBase {

Modified: hugin.desktop
===================================================================
--- hugin.desktop	2009-05-08 22:07:30 UTC (rev 38540)
+++ hugin.desktop	2009-05-08 22:07:36 UTC (rev 38541)
@@ -1,6 +1,5 @@
 [Desktop Entry]
 Version=1.0
-Encoding=UTF-8
 Name=Hugin panorama creator
 Name[de]=Hugin panorama tool
 Comment=Frontend for the pnaramatools - Stitch images to panoramas
@@ -13,4 +12,4 @@
 StartupNotify=true
 Terminal=false
 Type=Application
-Categories=Application;Graphics;2DGraphics;RasterGraphics;
+Categories=Graphics;2DGraphics;RasterGraphics;

Deleted: hugin.install
===================================================================
--- hugin.install	2009-05-08 22:07:30 UTC (rev 38540)
+++ hugin.install	2009-05-08 22:07:36 UTC (rev 38541)
@@ -1,29 +0,0 @@
-# arg 1:  the new package version
-post_install() {
-  cat << EOM
-
---> autopano-sift was replaced by auto-pano-sift-c and became a hard dependency
---> in order to make the experienc less painful and confusing. Same deal with
---> enblend which turned into enblend-enfuse. Too much functionality would be
---> missing without those packages.
---> CHECK YOUR PREFERENCES to get rid of any old binary names.
-
-EOM
-  echo "update desktop mime database..."
-  update-desktop-database -q
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-# arg 1:  the old package version
-post_remove() {
-  echo "update desktop mime database..."
-  update-desktop-database -q
-}
-
-op=$1
-shift
-$op $*
-# vim: ft=sh




More information about the arch-commits mailing list